summaryrefslogtreecommitdiff
path: root/rebootstrap.sh
diff options
context:
space:
mode:
authorOri Bernstein <ori@eigenstate.org>2019-01-14 23:55:44 -0800
committerOri Bernstein <ori@eigenstate.org>2019-01-14 23:55:44 -0800
commit0a2f731ecf9f8ba57817cb33d127fd92d530a915 (patch)
tree4c28abf044d6fbb80408f6ae49c1c5061ed92a29 /rebootstrap.sh
parent3dcee053786448f3479a929791cf6a474ae8c035 (diff)
downloadmc-0a2f731ecf9f8ba57817cb33d127fd92d530a915.tar.gz
Make rebootstrapping more robust.
Diffstat (limited to 'rebootstrap.sh')
-rwxr-xr-xrebootstrap.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/rebootstrap.sh b/rebootstrap.sh
index 150f1eb..6b7cc25 100755
--- a/rebootstrap.sh
+++ b/rebootstrap.sh
@@ -18,7 +18,7 @@ build()
vcs=git
remotecmd="ssh $host"
setpath="mkdir -p $wrkdir/root/bin && export PATH=$PATH:$wrkdir/root/bin"
- showpatch="cd '$wrkdir/mc' && cat update.patch && rm -f update.patch"
+ showpatch="cd '$wrkdir/mc' && cat update.patch"
case $os in
plan9)
if echo $host | grep '@' > /dev/null; then
@@ -54,8 +54,9 @@ build()
;;
esac
+ $remotecmd "rm -f $wrkdir/mc/update.patch"
$remotecmd "$buildcmd"
- $remotecmd "$showpatch" | patch -p1
+ $remotecmd "$showpatch" | patch -p1 || true
}
while IFS= read -r desc; do